#include <bits/stdc++.h>
using namespace std;
using namespace std;
typedef long long ll;
typedef vector <int> vi;
typedef pair <int,int> pii;
typedef pair<ll,ll> pll;
typedef vector<ll> vll;
#define A first
#define B second
#define PB push_back
#define MP make_pair
#define all(v) v.begin(),v.end()
#define FAST ios_base::sync_with_stdio(false),cin.tie(0),cout.tie(0);

int main()
{
    FAST
    int n,q;
    cin>>n>>q;
    int a[n];
    map<int,bool> ok;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        ok[a[i]]=true;
    }
    sort(a,a+n);
    map<int,int> poz;
    for(int i=0;i<n;i++)
    {
        if(2*i<n+2) poz[a[i]]=i;
        else if(poz[a[i]]==0 && a[i]!=a[0]) poz[a[i]]=i;
    }
    while(q--)
    {
        int x;
        cin>>x;
        int o=n;
        if(!ok[x])
        {
            int res=n;
            int l=0;
            o++;
            int r=n-1;
            while(l<=r)
            {
                int m=(l+r)/2;
                if(a[m]<x) l=m+1;
                else
                {
                    r=m-1;
                    res=m;
                }
            }
            poz[x]=res;
        }
        int rez = abs(poz[x]-o/2)*2;
        if(!ok[x]) rez++;
        if(o%2==1 && poz[x]>o/2) rez--;
        if(poz[x]<o/2 && o%2==0) rez--;
        cout<<rez<<endl;
    }
    return 0;
}